Bug 330801 - Prelinking nash prints a warning
Prelinking nash prints a warning
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 13:17 EDT by Daniel Qarras
Modified: 2009-05-05 17:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: nash-6.0.52-2.fc9.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 17:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2007-10-13 13:17:57 EDT
(reporting against initscripts as there is no nash component in RH Bugzilla)

When prelinking nash the following warning is printed:

Prelinking /usr/lib/libnash.so.6.0.19
prelink: Warning: /usr/lib/libnash.so.6.0.19 has undefined non-weak symbols
Comment 1 Bug Zapper 2008-04-04 10:04:59 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Andy Lindeberg 2008-07-14 16:53:24 EDT
Can you reproduce this in F9?
Comment 3 Daniel Qarras 2008-07-14 17:44:07 EDT
No, this is fixed in F9, thanks for the reminder!

I'll close this one now.
Comment 4 Daniel Qarras 2008-07-14 17:50:11 EDT
Argh, sorry, actually the bug exists:

Prelinking /usr/lib/libnash.so.6.0.52
prelink: Warning: /usr/lib/libnash.so.6.0.52 has undefined non-weak symbols
Comment 5 Bug Zapper 2008-11-25 21:00:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jeremy Katz 2009-05-05 17:41:15 EDT
This looks okay to me now

[katzj@erebor grubby]$ sudo prelink  /usr/lib64/libnash.so.6.0.83 
[katzj@erebor grubby]$

Note You need to log in before you can comment on or make changes to this bug.